<template>
  <div>
    <v-row class="mb-4 mt-4 tway-header-1 ma-0 pa-0 text-center">
      <v-col
        class="ma-0 pa-0"
        cols="12"
        xs="12"
        sm="12"
        md="10"
        lg="10"
        xl="10"
      >
        <span class="text-capitalize">{{ user.firstName }}</span
        >,
        <span v-if="clientType === 'CLIENT'"
          >¿Necesitas Transformación Digital?</span
        >
        <span v-if="clientType === 'SPECIALIST'"
          >¿Quieres conectar con nuevos Clientes?</span
        >
      </v-col>
      <v-col class="ma-0 pa-0" cols="12" xs="12" sm="12" md="2" lg="2" xl="2">
      </v-col>
    </v-row>
    <div class="text-subtitle-1 text-md-h6 mb-8 roboto text-center">
      Selecciona el plan que mejor se adapte a tu empresa para activar, acelerar
      o facilitar el camino de la Transformación Digital.
    </div>
    <v-container fluid>
      <v-row class="ma-0 desktop">
        <v-col class="ma-0" cols="12" xs="12" sm="12" md="3" lg="3" xl="3">
          <v-card min-height="500px" class="pa-5 plan-card card-outter">
            <v-card-text>
              <v-row
                class="text-h5 text--tway-violet font-weight-bold"
                justify="center"
              >
                <div>Plan Free</div>
              </v-row>
              <v-row
                class="text-h5 font-weight-bold mb-7 black-text roboto"
                justify="center"
              >
                <div>$0 USD</div>
              </v-row>
              <v-row class="subtitle-2 mb-4 pt-2 roboto" justify="center">
                <div />
              </v-row>
              <v-row class="ma-0" justify="center">
                <strong
                  class="
                    mb-4
                    mx-n3
                    end-text
                    text--primary
                    font-weight-bold
                    text-center
                  "
                  >Incluye:</strong
                >
              </v-row>
              <div class="text--primary mx-n5">
                <div
                  style="
                    display: flex;
                    flex-direction: row;
                    justify-content: space-between;
                    align-items: flex-start;
                  "
                  class="mb-6"
                  v-for="(link, index) in clientType === 'CLIENT'
                    ? linksClient.free
                    : linksSpecialist.free"
                  :key="index"
                >
                  <span v-html="link" class="text-t roboto pr-2" />
                  <v-img
                    :src="require('@/assets/img/check.svg')"
                    class="rounded"
                    min-width="13px"
                    max-width="13px"
                  />
                </div>
              </div>
            </v-card-text>
          </v-card>
        </v-col>
        <v-col class="ma-0" cols="12" xs="12" sm="12" md="3" lg="3" xl="3">
          <v-card min-height="500px" class="pa-5 plan-card card-outter">
            <v-card-text>
              <v-row
                class="text-h5 text--tway-violet font-weight-bold"
                justify="center"
              >
                <div>Plan Starter</div>
              </v-row>
              <v-row
                class="text-h5 font-weight-bold black-text roboto"
                justify="center"
              >
                <div>$100 USD/mes</div>
              </v-row>
              <v-row class="subtitle-2 mb-4 pt-2 roboto" justify="center">
                <div>Suscripción mínima trimestral</div>
              </v-row>
              <v-row class="ma-0" justify="center">
                <strong
                  class="
                    mb-4
                    mx-n3
                    end-text
                    text--primary
                    font-weight-bold
                    text-center
                  "
                  >Incluye lo mismo que
                  <span class="text--tway-violet">Plan Free</span> más:</strong
                >
              </v-row>
              <div class="text--primary mx-n5">
                <div
                  style="
                    display: flex;
                    flex-direction: row;
                    justify-content: space-between;
                    align-items: flex-start;
                  "
                  class="mb-6"
                  v-for="(link, index) in clientType === 'CLIENT'
                    ? linksClient.starter
                    : linksSpecialist.starter"
                  :key="index"
                >
                  <span v-html="link" class="text-t roboto pr-2" />
                  <v-img
                    :src="require('@/assets/img/check.svg')"
                    class="rounded"
                    min-width="13px"
                    max-width="13px"
                  />
                </div>
              </div>
            </v-card-text>
            <v-card-actions class="card-actions-button">
              <v-btn
                v-if="
                  subscription.plan.name !== 'STARTER' &&
                  planSuscriptions.starter
                "
                rounded
                large
                outlined
                color="white"
                block
                class="button-text tway-apple-green--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.starter.id },
                }"
              >
                Seleccionar
              </v-btn>
              <v-btn
                v-else
                v-show="false"
                rounded
                color="tway-violet"
                large
                block
                class="button-text white--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.starter.id },
                }"
              >
                Seleccionar
              </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
        <v-col class="ma-0" cols="12" xs="12" sm="12" md="3" lg="3" xl="3">
          <v-card
            min-height="500px"
            class="pa-5 plan-card card-outter border-card"
          >
            <v-card-text>
              <v-row
                class="text-h5 text--tway-violet font-weight-bold"
                justify="center"
              >
                <div>Plan Business</div>
              </v-row>
              <v-row
                class="text-h5 font-weight-bold black-text roboto"
                justify="center"
              >
                <div>$250 USD/mes</div>
              </v-row>
              <v-row class="subtitle-2 mb-4 pt-2 roboto" justify="center">
                <div>Suscripción mínima trimestral</div>
              </v-row>
              <v-row class="ma-0" justify="center">
                <strong
                  class="
                    mb-4
                    mx-n3
                    end-text
                    text--primary
                    font-weight-bold
                    text-center
                  "
                  >Incluye lo mismo que
                  <span class="text--tway-violet">Plan Starter</span>
                  más:</strong
                >
              </v-row>

              <div class="text--primary mx-n5">
                <div
                  style="
                    display: flex;
                    flex-direction: row;
                    justify-content: space-between;
                    align-items: flex-start;
                  "
                  class="mb-6"
                  v-for="(link, index) in clientType === 'CLIENT'
                    ? linksClient.business
                    : linksSpecialist.business"
                  :key="index"
                >
                  <span v-html="link" class="text-t roboto pr-2" />
                  <v-img
                    :src="require('@/assets/img/check.svg')"
                    class="rounded"
                    min-width="13px"
                    max-width="13px"
                  />
                </div>
              </div>
            </v-card-text>
            <v-card-actions class="card-actions-button">
              <v-btn
                v-if="
                  subscription.plan.name !== 'BUSINESS' &&
                  planSuscriptions.business
                "
                rounded
                color="tway-violet"
                large
                block
                class="button-text white--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.business.id },
                }"
              >
                Seleccionar
              </v-btn>
              <v-btn
                v-else
                v-show="false"
                rounded
                color="tway-violet"
                large
                block
                class="button-text white--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.business.id },
                }"
              >
                Seleccionar
              </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
        <v-col class="ma-0" cols="12" xs="12" sm="12" md="3" lg="3" xl="3">
          <v-card min-height="500px" class="pa-5 plan-card card-outter">
            <v-card-text>
              <v-row
                class="text-h5 text--tway-violet font-weight-bold"
                justify="center"
              >
                <div>Plan Best Fit</div>
              </v-row>
              <v-row
                class="text-h5 font-weight-bold black-text roboto"
                justify="center"
              >
                <div>$400 USD/mes</div>
              </v-row>
              <v-row class="subtitle-2 mb-4 pt-2 roboto" justify="center">
                <div>Suscripción mínima trimestral</div>
              </v-row>
              <v-row class="ma-0" justify="center">
                <strong
                  class="
                    mb-4
                    mx-n3
                    end-text
                    text--primary
                    font-weight-bold
                    text-center
                  "
                  >Incluye lo mismo que
                  <span class="text--tway-violet">Plan Business</span>
                  más:</strong
                >
              </v-row>
              <div class="text--primary mx-n5">
                <div
                  style="
                    display: flex;
                    flex-direction: row;
                    justify-content: space-between;
                    align-items: flex-start;
                  "
                  class="mb-2"
                  v-for="(link, index) in clientType === 'CLIENT'
                    ? linksClient.bestfit
                    : linksSpecialist.bestfit"
                  :key="index"
                >
                  <span v-html="link" class="text-t roboto pr-2" />
                  <v-img
                    :src="require('@/assets/img/check.svg')"
                    class="rounded"
                    min-width="13px"
                    max-width="13px"
                  />
                </div>
              </div>
            </v-card-text>
            <v-card-actions class="card-actions-button">
              <v-btn
                v-if="
                  subscription.plan.name !== 'BEST FIT' &&
                  planSuscriptions.bestfit
                "
                rounded
                disabled
                large
                outlined
                color="white"
                block
                class="button-text tway-apple-green--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.bestfit.id },
                }"
              >
                PRONTO
              </v-btn>
              <v-btn
                v-else
                v-show="false"
                disabled
                rounded
                color="tway-violet"
                large
                block
                class="button-text white--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.bestfit.id },
                }"
              >
                PRONTO
              </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
      </v-row>
      <v-row class="ma-0 mobile">
        <v-col
          class="ma-0"
          cols="12"
          xs="12"
          sm="12"
          md="3"
          lg="3"
          xl="3"
          v-if="mobileSelection === 1"
        >
          <v-card :elevation="6" class="mobile-plan-card">
            <v-row class="text-h5 text--tway-violet mb-4" justify="center">
              <div class="mt-4">Plan Free</div>
            </v-row>
            <div>
              <v-btn
                class="mx-n4 arrow-btn-left withe-text"
                fab
                dark
                color="tway-violet"
                @click="prevCard"
                style="background-color: #c499f9 !important"
              >
                <v-icon dark> chevron_left </v-icon>
              </v-btn>
              <v-btn
                class="mx-n4 arrow-btn-right"
                fab
                dark
                color="tway-violet"
                @click="nextCard"
              >
                <v-icon dark> chevron_right </v-icon>
              </v-btn>
              <v-row
                class="text-h5 font-weight-bold mb-7 black-text roboto"
                justify="center"
              >
                <div>$0 USD</div>
              </v-row>
            </div>
            <v-row class="ma-0" justify="center">
              <strong class="mb-4 text-body-2 text--primary font-weight-bold"
                >Incluye:</strong
              >
            </v-row>
            <div class="text--primary">
              <div
                style="
                  display: flex;
                  flex-direction: row;
                  justify-content: space-between;
                  align-items: flex-start;
                "
                class="mb-6"
                v-for="(link, index) in clientType === 'CLIENT'
                  ? linksClient.free
                  : linksSpecialist.free"
                :key="index"
              >
                <span v-html="link" class="text-t roboto pr-2" />
                <v-img
                  :src="require('@/assets/img/check.svg')"
                  class="rounded"
                  min-width="20px"
                  max-width="20px"
                />
              </div>
            </div>
          </v-card>
        </v-col>
        <v-col
          class="ma-0"
          cols="12"
          xs="12"
          sm="12"
          md="3"
          lg="3"
          xl="3"
          v-if="mobileSelection === 2"
        >
          <v-card :elevation="6" class="mobile-plan-card">
            <v-row class="text-h5 text--tway-violet mb-4" justify="center">
              <div class="mt-4">Plan Starter</div>
            </v-row>
            <div>
              <v-btn
                class="mx-n4 arrow-btn-left"
                fab
                dark
                color="tway-violet"
                @click="prevCard"
              >
                <v-icon dark> chevron_left </v-icon>
              </v-btn>
              <v-btn
                class="mx-n4 arrow-btn-right"
                fab
                dark
                color="tway-violet"
                @click="nextCard"
              >
                <v-icon dark> chevron_right </v-icon>
              </v-btn>
              <v-row
                class="text-h5 font-weight-bold black-text roboto"
                justify="center"
              >
                <div>$100 USD/mes</div>
              </v-row>
              <v-row class="subtitle-2 mb-4 pt-2 roboto" justify="center">
                <div>Suscripción mínima trimestral</div>
              </v-row>
              <v-row class="ma-0" justify="center">
                <strong
                  class="
                    mb-4
                    mx-n3
                    end-text
                    text--primary
                    font-weight-bold
                    text-center
                  "
                  >Incluye lo mismo que <br />
                  <span class="text--tway-violet">Plan Free</span>
                  más:</strong
                >
              </v-row>
            </div>
            <div class="text--primary">
              <div
                style="
                  display: flex;
                  flex-direction: row;
                  justify-content: space-between;
                  align-items: flex-start;
                "
                class="mb-6"
                v-for="(link, index) in clientType === 'CLIENT'
                  ? linksClient.starter
                  : linksSpecialist.starter"
                :key="index"
              >
                <span v-html="link" class="text-t roboto pr-2" />
                <v-img
                  :src="require('@/assets/img/check.svg')"
                  class="rounded"
                  min-width="20px"
                  max-width="20px"
                />
              </div>
            </div>
            <v-card-actions>
              <v-btn
                v-if="
                  subscription.plan.name !== 'STARTER' &&
                  planSuscriptions.starter
                "
                rounded
                large
                outlined
                color="white"
                block
                class="button-text tway-apple-green--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.starter.id },
                }"
              >
                Seleccionar
              </v-btn>
              <v-btn
                v-else
                v-show="false"
                rounded
                color="tway-violet"
                large
                block
                class="button-text white--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.starter.id },
                }"
              >
                Seleccionar
              </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
        <v-col
          class="ma-0"
          cols="12"
          xs="12"
          sm="12"
          md="3"
          lg="3"
          xl="3"
          v-if="mobileSelection === 3"
        >
          <v-card
            :elevation="6"
            class="mobile-plan-card card-outter border-card"
          >
            <v-row class="text-h5 text--tway-violet mb-4" justify="center">
              <div class="mt-4">Plan Business</div>
            </v-row>
            <div>
              <v-btn
                class="mx-n4 arrow-btn-left"
                fab
                dark
                color="tway-violet"
                @click="prevCard"
              >
                <v-icon dark> chevron_left </v-icon>
              </v-btn>
              <v-btn
                class="mx-n4 arrow-btn-right"
                fab
                dark
                color="tway-violet"
                @click="nextCard"
              >
                <v-icon dark> chevron_right </v-icon>
              </v-btn>
              <v-row
                class="text-h5 font-weight-bold black-text roboto"
                justify="center"
              >
                <div>$250 USD/mes</div>
              </v-row>
              <v-row class="subtitle-2 mb-4 pt-2 roboto" justify="center">
                <div>Suscripción mínima trimestral</div>
              </v-row>
              <v-row class="ma-0" justify="center">
                <strong
                  class="
                    mb-4
                    mx-n3
                    end-text
                    text--primary
                    font-weight-bold
                    text-center
                  "
                  >Incluye lo mismo que <br />
                  <span class="text--tway-violet">Plan Starter</span>
                  más:</strong
                >
              </v-row>
            </div>
            <div class="text--primary">
              <div
                style="
                  display: flex;
                  flex-direction: row;
                  justify-content: space-between;
                  align-items: flex-start;
                "
                class="mb-6"
                v-for="(link, index) in clientType === 'CLIENT'
                  ? linksClient.business
                  : linksSpecialist.business"
                :key="index"
              >
                <span v-html="link" class="text-t roboto pr-2" />
                <v-img
                  :src="require('@/assets/img/check.svg')"
                  class="rounded"
                  min-width="20px"
                  max-width="20px"
                />
              </div>
            </div>
            <v-card-actions>
              <v-btn
                v-if="
                  subscription.plan.name !== 'BUSINESS' &&
                  planSuscriptions.business
                "
                rounded
                color="tway-violet"
                block
                large
                class="button-text white--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.business.id },
                }"
              >
                Seleccionar
              </v-btn>
              <v-btn
                v-else
                v-show="false"
                rounded
                color="tway-violet"
                large
                block
                class="button-text white--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.business.id },
                }"
              >
                Seleccionar
              </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
        <v-col
          class="ma-0"
          cols="12"
          xs="12"
          sm="12"
          md="3"
          lg="3"
          xl="3"
          v-if="mobileSelection === 4"
        >
          <v-card :elevation="6" class="mobile-plan-card">
            <v-row class="text-h5 text--tway-violet mb-4" justify="center">
              <div class="mt-4">Plan Best Fit</div>
            </v-row>
            <div>
              <v-btn
                class="mx-n4 arrow-btn-left"
                fab
                dark
                color="tway-violet"
                @click="prevCard"
              >
                <v-icon dark> chevron_left </v-icon>
              </v-btn>
              <v-btn
                class="mx-n4 arrow-btn-right"
                fab
                dark
                color="tway-violet"
                @click="nextCard"
                style="background-color: #c499f9 !important"
              >
                <v-icon dark> chevron_right </v-icon>
              </v-btn>
              <v-row
                class="text-h5 font-weight-bold black-text roboto"
                justify="center"
              >
                <div>$400 USD/mes</div>
              </v-row>
              <v-row class="subtitle-2 mb-4 pt-2 roboto" justify="center">
                <div>Suscripción mínima trimestral</div>
              </v-row>
              <v-row class="ma-0" justify="center">
                <strong
                  class="
                    mb-4
                    mx-n3
                    end-text
                    text--primary
                    font-weight-bold
                    text-center
                  "
                  >Incluye lo mismo que <br />
                  <span class="text--tway-violet">Plan Business</span>
                  más:</strong
                >
              </v-row>
            </div>
            <div class="text--primary">
              <div
                style="
                  display: flex;
                  flex-direction: row;
                  justify-content: space-between;
                  align-items: flex-start;
                "
                class="mb-6"
                v-for="(link, index) in clientType === 'CLIENT'
                  ? linksClient.bestfit
                  : linksSpecialist.bestfit"
                :key="index"
              >
                <span v-html="link" class="text-t roboto pr-2" />
                <v-img
                  :src="require('@/assets/img/check.svg')"
                  class="rounded"
                  min-width="20px"
                  max-width="20px"
                />
              </div>
            </div>
            <v-card-actions>
              <v-btn
                v-if="
                  subscription.plan.name !== 'BEST FIT' &&
                  planSuscriptions.bestfit
                "
                rounded
                disabled
                large
                outlined
                color="white"
                block
                class="button-text tway-apple-green--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.bestfit.id },
                }"
              >
                PRONTO
              </v-btn>
              <v-btn
                v-else
                v-show="false"
                disabled
                rounded
                color="tway-violet"
                large
                block
                class="button-text white--text roboto"
                :to="{
                  name: 'subscribe',
                  params: { plan: planSuscriptions.bestfit.id },
                }"
              >
                PRONTO
              </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
      </v-row>
      <div
        v-if="$store.getters['subscription/getValidateSubscription'] == true"
        class="promo-text mt-2"
      >
        Por la contratación de cualquier
        <span style="color: #16c62e">Plan Starter, Business o Best Fit </span>
        para tu empresa, podrás hacer efectivo un
        <span style="color: #16c62e">
          descuento exclusivo del 50% en entradas para la Conferencia de
          Transformación Digital 2021.</span
        >
      </div>
      <div
        v-if="$store.getters['subscription/getValidateSubscription'] == true"
        class="end-text text-center mt-2"
      >
        PROMOCIÓN POR TIEMPO LIMITADO
      </div>
      <v-row justify="center" v-if="mobile && subscription.payments.length">
        <v-btn
          rounded
          color="tway-violet"
          class="button-text white--text roboto mt-6"
          :to="{ name: 'my-payment' }"
        >
          VER MIS PAGOS
        </v-btn>
      </v-row>
    </v-container>
  </div>
</template>
<style lang="scss" scoped>
.text-t {
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 20px;
}
.plan-card {
  border-radius: 40px;
}
.disable-events {
  pointer-events: none;
}
.black-text {
  color: #333333;
}
.arrow-btn-left {
  position: absolute;
  left: -7%;
  height: 46px !important;
  width: 46px !important;
}

.arrow-btn-right {
  position: absolute;
  right: -7%;
  height: 46px !important;
  width: 46px !important;
}

.mobile-plan-card-container {
  margin-top: 1%;
  margin-left: 8%;
  margin-right: 8%;
}

.mobile-plan-card {
  padding-top: 8%;
  padding-bottom: 8%;
  padding-left: 8%;
  padding-right: 8%;
  border-radius: 40px;
}

.mobile-plan-card p {
  margin-top: 4%;
  margin-bottom: 4%;
  text-align: left;
  margin-left: 10%;
}

.mobile-plan-card .v-btn {
  margin-top: 1.5em;
  margin-bottom: 2em;
}
.mobile {
  display: none;
}

.promo-text {
  font-family: Josefin Sans;
  font-style: normal;
  font-weight: normal;
  font-size: 25px;
  line-height: 32px;

  text-align: center;

  color: #000000;
}

.end-text {
  font-family: Roboto Condensed;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  /* identical to box height, or 150% */

  text-align: center;

  /* Tway / Gris Oscuro */

  color: #333333;
}
.card-outter {
  position: relative;
  padding-bottom: 50px;
}
.card-actions {
  position: absolute;
  left: 18.38%;
  right: 18.38%;
  top: 90.02%;
  bottom: 5.99%;
}
.card-actions-button {
  position: absolute;
  left: 10.38%;
  right: 10.38%;
  top: 90.02%;
  bottom: 5.99%;
}
.border-card {
  border: 1px solid #7319d5;
}
@media only screen and (max-width: 960px) {
  .desktop {
    display: none;
  }
  .mobile {
    display: block;
  }
}
</style>

<script>
import CompanyService from "@/services/companyService";
import currentUserService from "@/services/currentUserService";
import subscriptionService from "@/services/subscriptionService";
import planService from "@/services/planService";

export default {
  name: "Plans",

  data: () => ({
    mobileSelection: 1,
    clientType: "",
    user: {
      firstName: "",
      lastName: "",
      username: "",
    },
    plans: [],
    planSuscriptions: {
      starter: "",
      business: "",
      bestfit: "",
    },
    subscription: {
      plan: {
        name: "",
      },
    },
    linksClient: {
      free: [
        "Contenidos y Tendencias en Transformación Digital",
        "Encuesta de Transformación Digital",
      ],
      starter: [
        "Índice de Madurez en Transformación Digital (IMTD)",
        "Dashboard de Brechas en Transformación Digital",
      ],
      business: [
        "Ranking de Especialistas que ofrecen Productos y Servicios para la Transformación Digital",
        "Licitación a la Medida y PMO Digital de Transformación Estratégica (Monitoreo Online y Acompañamiento) <span class='text--tway-violet'>(1 Cupo Trimestral + Acceso a Cupo Adicional por $300 USD)</span>",
      ],
      bestfit: [
        "Licitación a la Medida y PMO Digital de Transformación Estratégica (Monitoreo Online y Acompañamiento) <span class='text--tway-violet'>CUPOS ILIMITADOS</span>",
      ],
    },
    linksSpecialist: {
      free: [
        "Contenidos y Tendencias en Transformación Digital",
        "Encuesta de Transformación Digital",
      ],
      starter: [
        "Índice de Madurez en Transformación Digital (IMTD)",
        "Benchmark y Mapa de Servicios en Transformación Digital",
      ],
      business: [
        "Ranking Segmentado de Proveedores de Productos y Servicios",
        "Licitación a la Medida y PMO Digital de Transformación Estratégica (Monitoreo Online y Acompañamiento) <span class='text--tway-violet'>(1 Cupo Trimestral + Acceso a Cupo Adicional por $300 USD)</span>",
      ],
      bestfit: [
        "Licitación a la Medida y PMO Digital de Transformación Estratégica (Monitoreo Online y Acompañamiento) <span class='text--tway-violet'>CUPOS ILIMITADOS</span>",
      ],
    },
  }),

  created() {
    this.getCompany();
    this.getSubscription();
  },

  methods: {
    getCompany() {
      CompanyService.getCompanyProfile()
        .then((company) => (this.clientType = this._.get(company, "type")))
        .then(() => this.getPlans())
        .catch((err) => console.log(err));
      currentUserService
        .currentUserData()
        .then((userData) => (this.user = userData))
        .catch((err) => this.$log.error(err));
    },
    getPlans: function () {
      planService
        .getPlansType(this.clientType)
        .then(console.log(this.clientType))
        .then((plans) => (this.plans = plans))
        .catch((err) => this.$log.error("Unexpected error: ", err))
        .then(() => (this.isLoading = false))
        .then(() => this.findIdPlan());
    },
    getSubscription: function () {
      subscriptionService
        .getCurrentUserSubscription()
        .then((subscription) => (this.subscription = subscription))
        .catch((err) => this.$log.error("Unexpected error: ", err))
        .then(() => (this.isLoading = false));
    },
    nextCard() {
      if (this.mobileSelection < 4) {
        this.mobileSelection = this.mobileSelection + 1;
      }
    },
    prevCard() {
      if (this.mobileSelection > 1) {
        this.mobileSelection = this.mobileSelection - 1;
      }
    },
    findIdPlan() {
      for (let index = 0; index < this.plans.length; index++) {
        const plan = this.plans[index];
        if (plan.name === "STARTER") {
          this.planSuscriptions.starter = plan;
        }
        if (plan.name === "BUSINESS") {
          this.planSuscriptions.business = plan;
        }
        if (plan.name === "BEST FIT") {
          this.planSuscriptions.bestfit = plan;
        }
      }
    },
  },

  computed: {
    mobile() {
      return this.$vuetify.breakpoint.sm || this.$vuetify.breakpoint.xs;
    },
    desktop() {
      return (
        this.$vuetify.breakpoint.md ||
        this.$vuetify.breakpoint.lg ||
        this.$vuetify.breakpoint.xl
      );
    },
  },
};
</script>
